<?php
const CUSTOM_MESSAGE_FILENAME = '/root/dp18/data/user/messaggio.html';

if (isset($_POST['content'])) {
    $stylesheet = trim(file_get_contents('static/css/custom_message.css', 'r'));
    $htmlContent = <<<EOS
<html>
    <head>
        <style type="text/css">
            {$stylesheet}
        </style>
    </head>
    <body>${_POST['content']}</body>
</html>
EOS;
    file_put_contents(CUSTOM_MESSAGE_FILENAME, $htmlContent);
}

function get_html_content($filename) {
    $doc = new DOMDocument();
    $doc->loadHTMLFile($filename);
    $content = new DOMDocument();
    foreach ($doc->getElementsByTagName('body')->item(0)->childNodes as $n) {
        $content->appendChild($content->importNode($n, true));
    }
    return $content->saveHTML();
}

$content = get_html_content(CUSTOM_MESSAGE_FILENAME);

?>
<!DOCTYPE html>
<html>
    <head>
        <?php include 'templates/presentation_headers.php' ?>
        <title></title>
        <script type="text/javascript" src="/static/js/tinymce/tinymce.min.js"></script>
        <script type="text/javascript">
            tinymce.init({
                selector: "#myeditor",
                height: 640,
                width: 1080,
                plugins: "table textcolor",
                toolbar: "undo redo | styleselect fontsizeselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | forecolor backcolor", 
                resize: true, // solo ridimensionamento verticale
                skin: "custom",
                content_css: "/static/css/custom_message.css",
                cache_suffix: "?v=4.1.6",
                fontsize_formats: "18pt 24pt 40pt 46pt 52pt 58pt 64pt 74pt",
                style_formats: [
                    { title: 'Titolo 1 centrato', block: 'div', classes: "custom-h1", attributes: { align: "center" } },
                    { title: 'Titolo 2 centrato', block: 'div', classes: "custom-h2", attributes: { align: "center" } },
                    { title: 'Titolo 3 centrato', block: 'div', classes: "custom-h3", attributes: { align: "center" } }
                ]
            });
        </script>
    </head>
    <body>
        <?php include 'templates/navbar.php' ?>
        <div class="container">
            <div class="page-header"><h1 id="scroll-here">Modifica messaggio della farmacia</h1></div>
            <form class="form" method="post" action="#scroll-here">
                <textarea id="myeditor" class="form-control" name="content">
                    <?= htmlentities($content); ?>
                </textarea>
                <button id="submitbtn" class="btn btn-default">Salva modifiche</button>
            </form>
            <pre>
                <?php
                print_r(htmlentities($content));
                ?>
            </pre>
        </div>
        <?php include 'templates/footer.php' ?>
    </body>
</html>
