<?php
const DEVICE_INFO = '/tmp/dp18-device-info.xml';

if (isset($_GET) && file_exists(DEVICE_INFO)) {
    $doc = simplexml_load_file(DEVICE_INFO);
    $part = filter_input(INPUT_GET, 'part', FILTER_SANITIZE_STRING);
    $result['timestamp'] = (string) $doc['timestamp'];
    if (empty($part) || $part === 'status') {
        foreach ($doc->state->var as $var) {
            $result['state'][(string) $var['name']] = (int) $var;
        }
    }
    if (empty($part) || $part === 'versions') {
        foreach ($doc->versions->version as $ver) {
            $result['versions'][(string) $ver['description']] = (string) $ver;
        }
    }
    if (empty($part) || $part === 'products') {
        foreach ($doc->products->{'products-mask'} as $mask) {
            $result['products'][(int) $alarm['offset']] = (string) $mask;
        }
    }
    $json = json_encode($result, JSON_FORCE_OBJECT);
    
    header('Content-Type: application/json; charset=utf-8');
    header('Content-Disposition: inline');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . strlen($json));
    echo $json;
} else {
    http_response_code(501);
}

