<?php
require_once __DIR__ . '/products.php';
require_once __DIR__ . '/workspace.php';

function workspace_thumbnail($prod) {
    return workspace_get($prod->product_id() . '.png');
}

function workspace_image($prod) {
    return workspace_get($prod->product_id() . '_large.png');
}

function product_has_thumbnail($prod) {
    return $prod->hasThumbnail() || is_readable(workspace_thumbnail($prod));
}

function product_has_image($prod) {
    return $prod->hasImage() || is_readable(workspace_image($prod));
}

function get_thumbnail_url($prod) {
    $wpThumb = workspace_thumbnail($prod);
    if (is_readable($wpThumb)) {
        return '/workspace/' . $prod->product_id() . '.png';
    } else if ($prod->hasThumbnail()) {
        return '/prod-images/' . $prod->full_id . '.png';
    } else {
        return '/static/images/no-image.png';
    }
}
