<?php
function make_price_input($id, $value) {
?>
<input type="text"
    pattern="(0|[1-9]\d*)(,\d{1,2})?"
    title="Inserisci un prezzo valido. Separa i centesimi usando la virgola."
    name="<?= $id ?>"
    value="<?= $value ?>"/>
<?php
}
?>
<!DOCTYPE html>
<html>
    <head>
        <?php include 'templates/presentation_headers.php' ?>
        <title>Impostazione prezzi</title>
        <style type="text/css">
            .label-user {
                background-color: blue;
            }
        </style>
    </head>
    <body>
        <?php include 'templates/navbar.php' ?>
        <div class="container">
            <div class="page-header"><h1>Imposta prezzi</h1></div>
            <?php include 'includes/pending_changes_template.php' ?>
            <form role="form" method="post" action="?show=compact">
                <?php make_toolbar() ?>
                <div class="table-responsive">
                    <table class="table table-striped table-hover">
                        <thead>
                            <tr>
                                <th>Catalogo</th>
                                <th>Id prodotto</th>
                                <th>Nome</th>
                                <th>Prezzo intero</th>
                                <th>Prezzo scontato</th>
                                <th>Descrizione</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($products as $id => $prod) { ?>
                            <tr id="<?= htmlspecialchars($id) ?>">
                                <td><span class="label <?= $prod->catalogue_id() !== 'user' ? 'label-default' : 'label-user' ?>"><?= $prod->catalogue_id() ?></span></td>
                                <td><?= $prod->product_id() ?></td>
                                <td><?= $prod->name ?></td>
                                <?php if ($prod->isDeleted()) { ?>
                                <td colspan="3"><strong>Cancellato</strong></td>
                                <?php } else { ?>
                                <td style="text-align: right">
                                    <?php make_price_input($id . '[0]', money_str($prod->prices[0])) ?>
                                </td>
                                <td style="text-align: right">
                                    <?php make_price_input($id . '[1]', money_str($prod->prices[1])) ?>
                                </td>
                                <td><?= $prod->description ?></td>
                                <?php } ?>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
                <?php make_toolbar() ?>
            </form>
        </div>
        <?php include 'templates/footer.php' ?>
    </body>
</html>

