<?php
require_once 'includes/product_images.php';

function make_price_input($id, $value) {
?>
<input type="text"
    pattern="(0|[1-9]\d*)(,\d{1,2})?"
    title="Inserisci un prezzo valido. Separa i centesimi usando la virgola."
    name="<?= $id ?>"
    value="<?= $value ?>"/>
<?php
}
?>
<!DOCTYPE html>
<html>
    <head>
        <?php include 'templates/presentation_headers.php' ?>
        <title>Impostazione prezzi</title>
        <style type="text/css">
            div.product {
                padding-top: 2px;
                padding-bottom: 2px;
                border-bottom: 1px solid #CCC;
                margin-bottom: 3px;
            }
            div.product:hover {
                background-image: linear-gradient(to bottom, #FFF 0px, #E0E0E0 100%);
            }
            div.product img {
                width: 85px;
                height: 140px
            }
            table.prices td {
                padding: 3px;
            }
            .user-badge {
                background-color: blue;
            }
        </style>
    </head>
    <body>
        <?php include 'templates/navbar.php' ?>
        <div class="container">
            <div class="page-header"><h1>Imposta prezzi</h1></div>
            <?php include 'includes/pending_changes_template.php' ?>
            <form method="POST">
                <?php make_toolbar('compact') ?>
                <?php foreach ($products as $id => $prod) { ?>
                    <div id="<?= htmlspecialchars($id) ?>" class="row product">
                        <div class="col-xs-3 col-sm-2">
                            <img src="<?= get_thumbnail_url($prod) ?>" class="center-block"/>
                        </div>
                        <div class="col-xs-9 col-sm-10">
                            <h4>
                                <?= $prod->name ?>
                                <span class="badge <?= $prod->catalogue_id() !== 'durex' ? 'user-badge' : ''?>"><?= $prod->catalogue_id() ?></span>
                                <span class="small"><?= $prod->product_id() ?></span>
                            </h4>
                            <div class="row">
                                <?php if ($prod->isDeleted()) { ?>
                                <h3>Cancellato</h3>
                                <?php } else { ?>
                                <table class="col-xs-6 col-sm-4 prices">
                                    <tr>
                                        <td class="small text-danger text-right">Prezzo intero</td>
                                        <td>
                                            <?php make_price_input($id . '[0]', money_str($prod->prices[0])) ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="small text-danger text-right">Prezzo scontato</td>
                                        <td>
                                            <?php make_price_input($id . '[1]', money_str($prod->prices[1])) ?>
                                        </td>
                                    </tr>
                                </table>
                                <div class="col-xs-6 col-sm-8 text-justify"><strong>Descrizione</strong><p><?= $prod->description ?></p></div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                <?php
                }
                make_toolbar('compact');
                ?>
            </form>
        </div>
        <?php include 'templates/footer.php' ?>
    </body>
</html>
