<?php
require_once 'access.php';
require_once 'util.php';

function send_error($errorMsg, $code = 400) {
    http_response_code($code);
    echo $errorMsg;
    exit;
}

function test_or_fail(&$var, $errorMsg, $code = 400) {
    if (!isset($var) || $var === false) {
        send_error($errorMsg, $code);
    }
}

if ($_POST) {
    $emailFields = filter_input_array(INPUT_POST, [
        'sender' => FILTER_VALIDATE_EMAIL,
        'recipient' => FILTER_VALIDATE_EMAIL,
        'subject' => FILTER_SANITIZE_STRING,
        'server' => FILTER_VALIDATE_URL,
        'body' => FILTER_SANITIZE_STRING
    ]);
    test_or_fail($emailFields['sender'], 'Indirizzo mail mittente non corretto.');
    test_or_fail($emailFields['recipient'], 'Indirizzo mail destinatario non corretto.');
    test_or_fail($emailFields['subject'], 'Oggetto non specificato.');
    test_or_fail($emailFields['server'], 'Server SMTP non valido.');
    if ($emailFields['subject'] == '') {
        send_error("L'oggetto non può essere vuoto.");
    }
    
    $now = date('r');
    $body = "From: ${emailFields['sender']}\r\n" .
            "To: ${emailFields['recipient']}\r\n" .
            "Subject: ${emailFields['subject']}\r\n" .
            "Date: $now\r\n" .
            "MIME-Version: 1.0\r\n" .
            "Content-type: text/plain; charset=utf-8\r\n" .
            "\r\n" .
            "${emailFields['body']}";
    
    //$process = proc_open("/root/smtp_send.py -S'Rinnovo' - $senderMail sbenedettini@microhard.it mail.mhnet.it $senderMail", [['pipe', 'r'], ['pipe', 'w']], $pipes);
    $process = proc_open("curl -T - --mail-from ${emailFields['sender']} --mail-rcpt ${emailFields['recipient']} --silent ${emailFields['server']}",
            [['pipe', 'r'], ['pipe', 'w']],
            $pipes);
    
    fwrite($pipes[0], $body);
    fflush($pipes[0]);
    fclose($pipes[0]);
    fclose($pipes[1]);
    $ret = proc_close($process);
    if ($ret !== 0) {
        send_error('Impossibile inviare email.');
    }
} else {
    http_response_code(400);
}