<!DOCTYPE html>
<html>
    <head>
        <?php include 'templates/presentation_headers.php' ?>
        <title>Impostazione prezzi</title>
        <style type="text/css">
            table.valign td {
                vertical-align: middle !important;
            }
        </style>
        <script type="text/javascript">
            $(function () {
                $('[data-toggle="tooltip"]').tooltip({ container: 'body' });
            });
        </script>
    </head>
    <body>
        <?php include 'templates/navbar.php' ?>
        <div class="container">
            <div class="page-header"><h1>Prodotti personalizzati</h1></div>
            <?php include 'includes/pending_changes_template.php' ?>
            <?php make_toolbar(true) ?>
            <div class="table-responsive">
                <table class="table table-striped table-hover valign">
                    <thead>
                        <tr>
                            <th></th>
                            <th>Nome</th>
                            <th>Prezzo intero</th>
                            <th>Prezzo scontato</th>
                            <th class="col-md-4">Descrizione</th>
                            <th>Miniatura</th>
                            <th>Immagine</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($products as $id => $prod) {
                            if ($prod->catalogue_id() === 'user') {
                        ?>
                            <tr <?= $prod->isDeleted() ? 'class="warning"' : ''?>>
                                <td class="text-center">
                                    <?php if ($prod->isDeleted()) { ?>
                                        <a
                                            href="includes/undelete_product.php?<?= htmlentities(http_build_query([
                                                'id' => $prod->full_id,
                                                'redir' => '/user_products.php?show=compact'
                                            ])) ?>"
                                            class="btn btn-warning">
                                            <span class="glyphicon glyphicon-open"></span> Ripristina
                                        </a>
                                    <?php } else { ?>
                                        <a
                                            href="user_product_form.php?<?= htmlentities(http_build_query(['id' => $prod->full_id, 'show' => 'compact' ])) ?>"
                                            class="btn btn-default">
                                            <span class="glyphicon glyphicon-pencil"></span><span class="hidden-xs"> Modifica</span>
                                        </a>
                                        <a
                                            href="includes/delete_product.php?<?= htmlentities(http_build_query([
                                                'id' => $prod->full_id,
                                                'redir' => '/user_products.php?show=compact'
                                            ])) ?>"
                                            class="btn btn-danger">
                                            <span class="glyphicon glyphicon-remove"></span><span class="hidden-xs"> Rimuovi</span>
                                        </a>
                                    <?php } ?>
                                </td>
                                <td>
                                    <span data-toggle="tooltip" title="<?= $prod->product_id() ?>"><?= $prod->name ?></span>
                                </td>
                                <?php if ($prod->isDeleted()) { ?>
                                    <td colspan="5">
                                        <span class="text-info">Il prodotto è stato rimosso</span>
                                    </td>
                                <?php } else { ?>
                                    <td style="text-align: right"><?= money_str($prod->prices[0]) ?></td>
                                    <td style="text-align: right"><?= money_str($prod->prices[1]) ?></td>
                                    <td><?= $prod->description ?></td>
                                    <td><?= product_has_thumbnail($prod) ? bootstrap_success_label('Sì') : bootstrap_danger_label('No') ?></td>
                                    <td><?= product_has_image($prod) ? bootstrap_success_label('Sì') : bootstrap_danger_label('No') ?></td>
                                <?php } ?>
                            </tr>
                        <?php } } ?>
                    </tbody>
                </table>
            </div>
            <?php make_toolbar(true) ?>
        </div>
        <?php include 'templates/footer.php' ?>
    </body>
</html>