<?php

const WORKSPACE_DIR = '/var/lib/dp18-web-frontend/workspace';

function ensure_exists() {
    if (file_exists(WORKSPACE_DIR)) {
        if (is_dir(WORKSPACE_DIR)) {
            return true;
        } else {
            unlink(WORKSPACE_DIR);
        }
    }
    return mkdir(WORKSPACE_DIR, 0777, true); // mkdir -p
}

function workspace_get($path) {
    return WORKSPACE_DIR . DIRECTORY_SEPARATOR . $path;
}

function has_pending_changes() {
    return !dir_is_empty(WORKSPACE_DIR);
}

function move_to($path) {
    $d = dir(WORKSPACE_DIR);
    while (false !== ($entry = $d->read())) {
        if ($entry !== '.' && $entry !== '..') {
            if (!rename($d->path . DIRECTORY_SEPARATOR . $entry, $path . DIRECTORY_SEPARATOR . $entry)) {
                return false;
            }
        }
    }
    return true;
}

function discard_changes() {
    clean_dir(WORKSPACE_DIR);
}

function clean_dir($dir) {
    $d = dir($dir);
    if ($d !== false) {
        while (false !== ($entry = $d->read())) {
            if ($entry !== '.' && $entry !== '..') {
                unlink($d->path . DIRECTORY_SEPARATOR . $entry);
            }
        }
    }
}

function dir_is_empty($dir) {
    if (!is_readable($dir)) {
        return NULL;
    }
    $handle = opendir($dir);
    while (false !== ($entry = readdir($handle))) {
        if ($entry != "." && $entry != "..") {
            return FALSE;
        }
    }
    return TRUE;
}

return ensure_exists();