<?php
require_once 'workspace.php';

const REMOTE_UPDATES_DIR = '/root/dp18/remote-updates';

function redirect_home_and_exit() {
    header("Location: http://{$_SERVER['HTTP_HOST']}");
    exit;
}

if (isset($_POST['apply'])) {
    if (!(move_to(REMOTE_UPDATES_DIR) && touch(REMOTE_UPDATES_DIR . DIRECTORY_SEPARATOR . 'done'))) {
        clean_dir(REMOTE_UPDATES_DIR);
?>
<!DOCTYPE html>
<html>
    <head>
        <?php include '../templates/presentation_headers.php' ?>
        <title>Attendere applicazione modifiche</title>
        <link rel="stylesheet" href="/static/css/single-form-page.css"/>
    </head>
    <body>
        <div class="container">
            <div id="msgbox" class="alert alert-danger">
                <p>Errore nell'applicazione della configurazione.</p>
                <p><strong id="error-message"></strong></p>
                <p class="text-right">
                    <a class="btn btn-default" href="<?= 'http://' . $_SERVER['HTTP_HOST'] ?>">
                        <span class="glyphicon glyphicon-home"></span> Torna all'indice
                    </a>
                </p>
            </div>
        </div>
        <?php include '../templates/footer.php' ?>
    </body>
</html>
<?php
        exit;
    }
} else if (isset($_POST['discard'])) {
    discard_changes();
    redirect_home_and_exit();
} else if (isset($_POST['status'])) {
    if (dir_is_empty(REMOTE_UPDATES_DIR) === true) {
        echo '{ "done": true }';
    } else {
        echo '{ "done": false }';
    }
    exit;
} else {
    redirect_home_and_exit();
}
?>
<!DOCTYPE html>
<html>
    <head>
        <?php include '../templates/presentation_headers.php' ?>
        <title>Attendere applicazione modifiche</title>
        <link rel="stylesheet" href="/static/css/single-form-page.css"/>
        <script>
            var timerId = -1;
            
            function pollStatus() {
                $.ajax({
                    method: 'POST',
                    url: '/includes/workspace_actions.php',
                    data: 'status',
                    dataType: 'json',
                    timeout: 10000,
                    success: function(data, status, xhr) {
                        if (data.done) {
                            clearInterval(timerId);
                            window.location.replace('<?= 'http://' . $_SERVER['HTTP_HOST'] ?>');
                        } else
                            setTimeout(pollStatus, 1000);
                    },
                    error: function(xhr, str, err) {
                        $('#spinner').hide();
                        $('#msgbox').show();
                        $('#error-message').text(str + ' ' + err);
                        clearInterval(timerId);
                    }
                });
            }
            
            $(function() {
                setTimeout(pollStatus, 1000);
                var counter = 0;
                var timerElement = $('#timer');
                timerId = setInterval(function() { counter += 1; timerElement.text(counter) }, 1000);
            })
        </script>
    </head>
    <body>
        <div class="container">
            <div id="spinner" class="panel panel-default">
                <div class="panel-body">
                    <img class="center-block" src="/static/images/preloader_128.gif"/>
                    <p class="text-center">Attendere applicazione modifiche&hellip; <i>(<span id="timer">0</span>s)</i></p>
                    <p class="text-center"><strong>Attenzione: non abbandonare la pagina!</strong></p>
                </div>
            </div>
            <div id="msgbox" class="alert alert-danger" style="display: none">
                <p>Errore nell'applicazione della configurazione.</p>
                <p><strong id="error-message"></strong></p>
                <p class="text-right">
                    <a class="btn btn-default" href="<?= 'http://' . $_SERVER['HTTP_HOST'] ?>">
                        <span class="glyphicon glyphicon-home"></span> Torna all'indice
                    </a>
                </p>
            </div>
        </div>
        <?php include '../templates/footer.php' ?>
    </body>
</html>
