<?php
require_once 'includes/access.php';
require_once 'includes/util.php';
require_once 'includes/products.php';
require_once 'includes/workspace.php';

const MOD_FILE = 'mod.xml';

$manifests = get_catalogue_manifests(CATALOGUE_BASE);
$products = deserialize_catalogues(...$manifests);
apply_modifications($products, workspace_get(MOD_FILE));
if ($_POST) {
    // applico modifiche ai cataloghi
    foreach ($_POST as $id => $prices) {
        if (isset($products[$id])) {
            foreach ($prices as $idx => $price) {
                $products[$id]->setPrice($idx, str_to_money($price));
            }
        }
    }
    generate_mod_file(workspace_get(MOD_FILE), $products);
}

function make_toolbar($view = null) {
?>
<div class="form-group">
    <button type="submit" class="btn btn-primary">
        <span class="glyphicon glyphicon-pencil"></span> Modifica prezzi
    </button>
    <a class="btn btn-default pull-right" href="/product_list.php?<?= http_build_query(['show' => $view]) ?>">
        <span class="glyphicon glyphicon-th-list"></span> Visualizzazione <?= $view == 'compact' ? 'compatta' : 'estesa' ?>
    </a>
</div>
<?php
}

if (filter_input(INPUT_GET, 'show', FILTER_SANITIZE_STRING) === 'compact') {
    include_once 'includes/product_list_compact.php';
} else {
    include_once 'includes/product_list_expanded.php';
}