<?php
require_once 'includes/access.php';

define('SUBJECT', 'Rinnovo abbonamento frontend web');

function make_alert_success($msg) {
    global $redirect;
    return '<div class="alert alert-success">' . $msg . ' <a href="/index.php" class="alert-link">Torna indietro</a></div>';
}

function make_alert_error($msg) {
    return '<div class="alert alert-danger">' . $msg . '</div>';
}

#$address = 'assistenza.durex@microhard.it';
$address = 'sbenedettini@microhard.it';
?>
<!DOCTYPE html>
<html>
    <head>
        <?php include 'templates/presentation_headers.php' ?>
        <link rel="stylesheet" href="/static/css/single-form-page.css"/>
        <title>Rinnovo abbonamento</title>
        <script type="text/javascript">
            $(function() {
                $('form').submit(function(ev) {
                    var params = { }
                    $.each($(this).serializeArray(), function() {
                        params[this.name] = this.value
                    })
                    $.ajax({
                        method: 'POST',
                        url: '/includes/send_mail.php',
                        data: {
                            sender: params.sender,
                            recipient: '<?= $address ?>',
                            subject: '<?= '[' . gethostname() . '] ' . SUBJECT ?>',
                            server: 'smtp://mail.mhnet.it',
                            body: params.body + '\nTelefono ' + params.phone
                        },
                        dataType: 'text',
                        success: function(result) {
                            $('#alert').prop('class', 'alert alert-success').html('Email inviata con successo.')
                        },
                        error: function(xhr, status) {
                            $('#alert').prop('class', 'alert alert-danger').html(xhr.responseText)
                        },
                        complete: function() {
                            $('#alert').prop('hidden', false)
                            $('#cancel').toggleClass('disabled')
                            $('#send').toggle(true)
                            $('#send-wait').toggle(false)
                        }
                    })
                    $('#alert').prop('hidden', false)
                        .prop('class', 'alert alert-info')
                        .html('<img src="/static/images/spinner_16.gif"/> Invio in corso. Non abbandonare la pagina.')
                    $('#cancel').toggleClass('disabled')
                    $('#send').toggle(false)
                    $('#send-wait').toggle(true)
                    ev.preventDefault()
                })
                
                $('#send-wait').toggle(false)
            })
        </script>
    </head>
    <body>
	<div class="container">
            <div class="panel panel-default">
                <div class="panel-heading"><h1 class="panel-title">Richiedi rinnovo</h1></div>
                <div class="panel-body">
                    <div id="alert" class="alert" hidden></div>
                    <form class="form-horizontal">
                        <div class="form-group">
                            <label class="col-sm-3 control-label">Destinatario</label>
                            <div class="col-sm-9"><p class="form-control-static"><?= $address ?></p></div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-3 control-label">Oggetto</label>
                            <div class="col-sm-9">
                                <p class="form-control-static"><?= SUBJECT ?></p>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-3 control-label">Contatti</label>
                            <div class="col-sm-9">
                                <div class="input-group">
                                    <input class="form-control" type="email" name="sender" placeholder="Email" required/>
                                    <div class="input-group-addon">@</div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-offset-3 col-sm-9">
                                <div class="input-group">
                                    <input class="form-control" type="tel" name="phone" placeholder="Telefono"/>
                                    <div class="input-group-addon"><span class="glyphicon glyphicon-earphone"></span></div>
                                </div>
                                <span class="help-block">Inserisci riferimenti per essere contattato.</span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-3 control-label">Note</label>
                            <div class="col-sm-9">
                                <textarea name="body" rows="6" cols="32"></textarea>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-offset-3 col-sm-9">
                                <a id="cancel" href="/index.php" class="btn btn-primary">
                                    <span class="glyphicon glyphicon-chevron-left"></span> Annulla
                                </a>
                                <button id="send" type="submit" class="btn btn-primary">
                                    <span class="glyphicon glyphicon-send"></span> Invia
                                </button>
                                <button id="send-wait" class="btn btn-primary disabled">
                                    <img src="/static/images/spinner_16.gif"/> Invio in corso
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            </div>
        <?php include 'templates/footer.php' ?>
    </body>
</html>
