<?php
require_once 'includes/access.php';
require_once 'includes/util.php';
require_once 'includes/products.php';
require_once 'includes/workspace.php';
require_once 'includes/product_images.php'; // richiesto dagli include più sotto

const MOD_FILE = 'mod.xml';

$products = deserialize_catalogues(USER_CATALOGUE_BASE . '/index.xml');
apply_modifications($products, workspace_get(MOD_FILE));

function to_query($compact) {
    return $compact ? 'show=compact' : '';
}

function make_toolbar($isCompact = false) {
?>
<div style="margin-bottom: 1rem">
    <a class="btn btn-primary" href="/user_product_form.php?<?= to_query($isCompact) ?>">
        <span class="glyphicon glyphicon-plus"></span> Aggiungi nuovo
    </a>
    <a class="btn btn-default pull-right" href="/user_products.php?<?= to_query(!$isCompact) ?>">
        <span class="glyphicon glyphicon-th-list"></span> Visualizzazione <?= $isCompact ? 'estesa' : 'compatta' ?>
    </a>
</div>
<?php
}

if (filter_input(INPUT_GET, 'show', FILTER_SANITIZE_STRING) === 'compact') {
    include_once 'includes/user_product_list_compact.php';
} else {
    include_once 'includes/user_product_list_expanded.php';
}

if (isset($_POST['apply-changes'])) {
    generate_mod_file(workspace_get(MOD_FILE), $products);
}
